#define MAX_TEXTURES			5
int glTexture[ MAX_TEXTURES ];


void load_texture_set( char *filename, int num_tex )
{
	int i;
	DATAFILE *data;

	//Load the datafile
	data = load_datafile( filename );
	allegro_gl_begin();
	//If the datafile loaded successfully then upload number of textures through the OpenGL Pipeline
	if ( data != NULL )
		for ( i = 0; i < num_tex; i++ )
		{
			glBindTexture( GL_TEXTURE_2D, glTexture[ i ] );
			glTexture[ i ] = allegro_gl_make_texture( data[ i ].dat );
		}
	allegro_gl_end();

	unload_datafile( data );
}


