#define NUM_JOYSTICK_BUTTONS			40
//Joystick Input Helper Routine


//Get a specific joystick value (Axis or Button )
//K is for the "Key" Value
//Returns TRUE if "Key" is pushed, False if not
int poll_joystick_key( int k )
{
	char retval = 0;

        poll_joystick();
        //If the "Key" is X or Y Axis
	switch( k )
	{

		case 1:         retval = ( joy[ 0 ].stick[ 0 ].axis[ 0 ].pos < -10 );
				break;
		case 2:         retval = ( joy[ 0 ].stick[ 0 ].axis[ 0 ].pos > 10 );
                                break;
		case 3:         retval = ( joy[ 0 ].stick[ 0 ].axis[ 1 ].pos < -10 );
				break;
		case 4:		retval = ( joy[ 0 ].stick[ 0 ].axis[ 1 ].pos > 10 );
                                break;
		case 5:		retval = ( joy[ 0 ].button[ 0 ].b );
                                break;
		case 6:         retval = ( joy[ 0 ].button[ 1 ].b );
                                break;
		case 7:		retval = ( joy[ 0 ].button[ 2 ].b );
                                break;
		case 8:		retval = ( joy[ 0 ].button[ 3 ].b );
                                break;
		case 9:		retval = ( joy[ 0 ].button[ 4 ].b );
                                break;
		case 10:	retval = ( joy[ 0 ].button[ 5 ].b );
                                break;

		case 11:        retval = ( joy[ 1 ].stick[ 0 ].axis[ 0 ].pos < -10 );
				break;
		case 12:        retval = ( joy[ 1 ].stick[ 0 ].axis[ 0 ].pos > 10 );
                                break;
		case 13:        retval = ( joy[ 1 ].stick[ 0 ].axis[ 1 ].pos < -10 );
				break;
		case 14:	retval = ( joy[ 1 ].stick[ 0 ].axis[ 1 ].pos > 10 );
                                break;
		case 15:	retval = ( joy[ 1 ].button[ 0 ].b );
                                break;
		case 16:        retval = ( joy[ 1 ].button[ 1 ].b );
                                break;
		case 17:	retval = ( joy[ 1 ].button[ 2 ].b );
                                break;
		case 18:	retval = ( joy[ 1 ].button[ 3 ].b );
                                break;
		case 19:	retval = ( joy[ 1 ].button[ 4 ].b );
                                break;
		case 20:	retval = ( joy[ 1 ].button[ 5 ].b );
                                break;

		case 21:        retval = ( joy[ 2 ].stick[ 0 ].axis[ 0 ].pos < -10 );
				break;
		case 22:        retval = ( joy[ 2 ].stick[ 0 ].axis[ 0 ].pos > 10 );
                                break;
		case 23:        retval = ( joy[ 2 ].stick[ 0 ].axis[ 1 ].pos < -10 );
				break;
		case 24:	retval = ( joy[ 2 ].stick[ 0 ].axis[ 1 ].pos > 10 );
                                break;
		case 25:	retval = ( joy[ 2 ].button[ 0 ].b );
                                break;
		case 26:        retval = ( joy[ 2 ].button[ 1 ].b );
                                break;
		case 27:	retval = ( joy[ 2 ].button[ 2 ].b );
                                break;
		case 28:	retval = ( joy[ 2 ].button[ 3 ].b );
                                break;
		case 29:	retval = ( joy[ 2 ].button[ 4 ].b );
                                break;
		case 30:	retval = ( joy[ 2 ].button[ 5 ].b );
                                break;

		case 31:        retval = ( joy[ 3 ].stick[ 0 ].axis[ 0 ].pos < -10 );
				break;
		case 32:        retval = ( joy[ 3 ].stick[ 0 ].axis[ 0 ].pos > 10 );
                                break;
		case 33:        retval = ( joy[ 3 ].stick[ 0 ].axis[ 1 ].pos < -10 );
				break;
		case 34:	retval = ( joy[ 3 ].stick[ 0 ].axis[ 1 ].pos > 10 );
                                break;
		case 35:	retval = ( joy[ 3 ].button[ 0 ].b );
                                break;
		case 36:        retval = ( joy[ 3 ].button[ 1 ].b );
                                break;
		case 37:	retval = ( joy[ 3 ].button[ 2 ].b );
                                break;
		case 38:	retval = ( joy[ 3 ].button[ 3 ].b );
                                break;
		case 39:	retval = ( joy[ 3 ].button[ 4 ].b );
                                break;
		case 40:	retval = ( joy[ 3 ].button[ 5 ].b );
                                break;

	}


	return retval;
}

        BITMAP *buffer;
//Routine to calibrate joystick  (use screen as a device to display output )
void do_calibrate_joystick()
{
        int i;
        for ( i = 0; i < num_joysticks; i++ )
        {
                clear( screen );
                while ( joy[ i ].flags & JOYFLAG_CALIBRATE )
                {
                        textprintf_centre( screen, font, 320, 200, 15, "Calibrate Joystick %i", i+1 );
                        textprintf_centre( screen, font, 320, 240, 15, "%s, and press any key", calibrate_joystick_name( i ) );
                        readkey();
                        calibrate_joystick( i );
                }
        }

}
